/v1/events

Fetch a range of "events".

Please note that you can also use this API to fetch one event by id or external_id (for legacy reasons). The new proper way to fetch one event is to use the /v1/event (singular) API.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

If you do not specify a phone_number or email_address... then events will not be duplicated, an each event will contain all of it's participants.

However, if you specify a phone_number or email_address... then events may be listed more than once, and each event entry returned will only have the matching participant in the participants array included.

Example Result:

{
  events: [ {
    id: 123,
    calendar_id: 456,
    start_time: "2016-04-15T12:00:00-07:00",
    end_time: "2016-04-15T13:00:00-07:00",
    title: "Appointment with Fred",
    location: "",
    content: "",
    is_deleted: false,
    participants: [ {
      id: 789,
      name: "Fred Smith",
      phone: "650-555-1212",
      normalized_phone: "+16505551212",
      email: "[email protected]",
      state: "initial", 
    }],
    custom_data: {
      field_1: "custom value"
    }
  }]
}

OAuth scope

Calls authenticated with an OAuth 2.0 bearer token must include the events:read scope. A token without it receives a 403 insufficient_scope response. HTTP Basic auth is not scope-gated.

Query Params
date

Only events starting at or after this date/time will be included. (ISO8601)

date

Only events starting at or before this Date/Time will be included. (ISO8601)

string

Only events who have a participant with the given phone number will be included. The phone number will be normalized based on the Apptoto user's default country setting. If the phone number you are filtering on is in a different country then include the fully normalized phone number (e.g. +66234234234).

string

Only events who have a participant with the specified email address will be incluced

int32
Defaults to 30

The number of events to return

int32
Defaults to 1

The page to fetch (1 based)

boolean
Defaults to false

Include deleted events

boolean
Defaults to false

If true, then Apptoto will include any conversations sent about the event. The conversations will be an array on each participant with the key "conversations".

Language
Credentials
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here!